com.genesyslab.wfm7.API.service.config750

## Class CfgContractMonthHours

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config750.CfgContractMonthHours

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgContractMonthHours
      extends java.lang.Object
      implements java.io.Serializable

  Contract Monthly Work Hours
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `wmMinutesMax` Maximum Work Minutes per month
    `private int` | `wmMinutesMin` Minimum Work Minutes per month
    `private int` | `wmMinutesStd` Standard Work Minutes per month

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgContractMonthHours()`
    `CfgContractMonthHours(int wmMinutesMin, int wmMinutesStd, int wmMinutesMax)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getWmMinutesMax()` Gets the wmMinutesMax value for this CfgContractMonthHours.
    `int` | `getWmMinutesMin()` Gets the wmMinutesMin value for this CfgContractMonthHours.
    `int` | `getWmMinutesStd()` Gets the wmMinutesStd value for this CfgContractMonthHours.
    `int` | `hashCode()`
    `void` | `setWmMinutesMax(int wmMinutesMax)` Sets the wmMinutesMax value for this CfgContractMonthHours.
    `void` | `setWmMinutesMin(int wmMinutesMin)` Sets the wmMinutesMin value for this CfgContractMonthHours.
    `void` | `setWmMinutesStd(int wmMinutesStd)` Sets the wmMinutesStd value for this CfgContractMonthHours.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmMinutesMin

          private int wmMinutesMin

      Minimum Work Minutes per month

    - #### wmMinutesStd

          private int wmMinutesStd

      Standard Work Minutes per month

    - #### wmMinutesMax

          private int wmMinutesMax

      Maximum Work Minutes per month

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgContractMonthHours

          public CfgContractMonthHours()

    - #### CfgContractMonthHours

          public CfgContractMonthHours(int wmMinutesMin,
                               int wmMinutesStd,
                               int wmMinutesMax)

  - ### Method Detail

    - #### getWmMinutesMin

          public int getWmMinutesMin()

      Gets the wmMinutesMin value for this CfgContractMonthHours.
      Returns:
        wmMinutesMin

    - #### setWmMinutesMin

          public void setWmMinutesMin(int wmMinutesMin)

      Sets the wmMinutesMin value for this CfgContractMonthHours.
      Parameters:
        `wmMinutesMin` -

    - #### getWmMinutesStd

          public int getWmMinutesStd()

      Gets the wmMinutesStd value for this CfgContractMonthHours.
      Returns:
        wmMinutesStd

    - #### setWmMinutesStd

          public void setWmMinutesStd(int wmMinutesStd)

      Sets the wmMinutesStd value for this CfgContractMonthHours.
      Parameters:
        `wmMinutesStd` -

    - #### getWmMinutesMax

          public int getWmMinutesMax()

      Gets the wmMinutesMax value for this CfgContractMonthHours.
      Returns:
        wmMinutesMax

    - #### setWmMinutesMax

          public void setWmMinutesMax(int wmMinutesMax)

      Sets the wmMinutesMax value for this CfgContractMonthHours.
      Parameters:
        `wmMinutesMax` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.